#include "../include/DebugObj.h"

DebugObj::DebugObj(LEDControllerObj *newLEDCtrl,
                        SwitchControllerObj *newSwitchCtrl,
                        RS232CommunicatorObj *newSerialConnect,
                        MCControllObj *newMCC,
                        RFControllerObj *newRFController)
{
    LEDCtrl = newLEDCtrl;
    SwitchCtrl = newSwitchCtrl;
    SerialConnect = newSerialConnect;
    MCC = newMCC;
    RFController = newRFController;
}

DebugObj::~DebugObj()
{
    //dtor
}

/***Diese Funktion ermöglicht es vom PC aus Befehle auszuführen. Da Zeiger auf jedes
Objekt vorliegen kann alles angesprochen werden.*/
void DebugObj::giveShell()
{
    SerialConnect->sendToPC((char*) "This is the AVR Shell\n");
    SerialConnect->sendToPC((char*) "NEVER SEND MORE THAN 100 CHARS!\n");
    SerialConnect->sendToPC((char*) "$ ");

    char* incoming = (char*) malloc(100 * sizeof(char));
    incoming = SerialConnect->receiveFromPC();

    SerialConnect->sendToPC((char*) "You Sent ");
    SerialConnect->sendToPC(incoming);

    if(strcmp(incoming, "ping"))
    {
        SerialConnect->sendToPC((char*) "pong.");
    }
}
