#ifndef DEBUGOBJ_H
#define DEBUGOBJ_H

#include "Standardincludes.h"

#include "LEDControllerObj.h"
#include "SwitchControllerObj.h"
#include "RS232CommunicatorObj.h"
#include "MCControllObj.h"
#include "RFControllerObj.h"

class DebugObj
{
    public:
        DebugObj(LEDControllerObj *newLEDCtrl,
                    SwitchControllerObj *newSwitchCtrl,
                    RS232CommunicatorObj *newSerialConnect,
                    MCControllObj *newMCC,
                    RFControllerObj *newRFController);
        ~DebugObj();

        void giveShell(); //ermöglicht direktes ausführen von befehlen über pc->rs232->chip verbindung
    private:
        LEDControllerObj *LEDCtrl;
        SwitchControllerObj *SwitchCtrl;
        RS232CommunicatorObj *SerialConnect;
        MCControllObj *MCC;
        RFControllerObj *RFController;
};

#endif // DEBUGOBJ_H
