#include "../include/LEDControllerObj.h"
#include "../include/RS232CommunicatorObj.h"
#include "../include/RS232_basecode.h"

RS232CommunicatorObj::RS232CommunicatorObj()
{
    UART_init();
    UART_receive_internals::uart_count = 0;
}

RS232CommunicatorObj::~RS232CommunicatorObj()
{
    //dtor
}

/****Reviev state: untested*/
void RS232CommunicatorObj::sendToPC(int tosend)
{
    char result [11]; //2^32 => 10 stellen + \0
    itoa (tosend, result, 10); //tosend in result speichern
    UART_puts(result);
}

/****Reviev state: Works*/
void RS232CommunicatorObj::sendToPC(char* tosend)
{
    UART_puts(tosend);
}


/*****Review state: tested, needs thorough testing*/
//TODO: laufzeitoptimierung
/*Diese Funktion empfängt ein Zeichen über RS-232 vom PC.
intern wird über UART_peekchar und UART_getchar aus
RS232_basecode.h gelesen und an einen wachsenden string
angehängt (char*). dieser wird zurückgegeben.*/
/*char* RS232CommunicatorObj::receiveFromPC()
{
    char* PCMessage = NULL; //enthält das was der PC schreibt
    char* tmp = NULL;       //variable um PCMEssage aufzunehmen, während alles dynamisch wächst
    char NewCharacter;      //nimmt den char aus, der von der Seriellen gelesen wird
    size_t length = 0;

    while(UART_peekchar())
    {
        ///FIXME: GIBT UART_getchar EINEN STRING ODER EIN CHAR ZURÜCK!?!?!?!?
        NewCharacter = (char) UART_getchar();           //ein zeichen nach NewCharacter laden
        length = strlen(PCMessage) * sizeof(char);      //länge von PCMessage bestimmen
        tmp = (char*) malloc(length + 2);               //tmp um zwei chars relativ zu PCMessage verlängern
        strcpy(tmp, PCMessage);                         //PCmessages in tmp tun, zwei char sind am ende frei
        tmp[length] = NewCharacter;                     //neuen char anhängen
        tmp[length + 1] = '\0';                         //nullterminierer anhängen
        PCMessage = tmp;                                //den fertigen string in PCMessage zurückspielen
    }
    free(tmp);
    return PCMessage;
}*/

char* RS232CommunicatorObj::receiveFromPC()
{
    char* PCMessage = NULL; //enthält das was der PC schreibt
    char* tmp = NULL;       //variable um PCMEssage aufzunehmen, während alles dynamisch wächst
    char NewCharacter;      //nimmt den char aus, der von der Seriellen gelesen wird
    size_t length = 0;
    do
    {
        uint8_t recv_value = UART_receive_internals::uart_getc();
        if (recv_value == 0)
        {
            return PCMessage;
        }
        else
        {
            NewCharacter = (char) recv_value;
            length = strlen(PCMessage) * sizeof(char);      //länge von PCMessage bestimmen
            tmp = (char*) malloc(length + 2);               //tmp um zwei chars relativ zu PCMessage verlängern
            strcpy(tmp, PCMessage);                         //PCmessages in tmp tun, zwei char sind am ende frei
            tmp[length] = NewCharacter;                     //neuen char anhängen
            tmp[length + 1] = '\0';                         //nullterminierer anhängen
            PCMessage = tmp;                                //den fertigen string in PCMessage zurückspielen
        }

    } while(1);
    return PCMessage;
}
